Главная / Новости / В контроллерах WAGO PFC200 исправлена критическая уязвимость

В контроллерах WAGO PFC200 исправлена критическая уязвимость

US ICS-СERT опубликовал уведомление о критической уязвимости в программируемых логических контроллерах (ПЛК) компании WAGO серии PFC200. Обнаруженная уязвимость позволяет неавторизованному злоумышленнику получить удаленный доступ к котроллерам и получила оценку 9,8 по шкале CVSS v3. Критичность уязвимости усугубляется наличием эксплойта.

Для устранения уязвимости производитель уже выпустил соответствующее обновление в 11 версии прошивки.

Уязвимость, получившая идентификатор CVE-2018-5459, позволяет злоумышленникам без авторизации получить доступ к различным функциям сервиса plclinux_rt путем отправки особым образом сконфигурированных TCP-пакетов на порт 2455. Это дает атакующим возможность читать, записывать и удалять произвольные файлы или управлять работой ПЛК.

Данная проблема связана с использованием программы CoDeSys Runtime (версии 2.3.х, 2.4.х), которая является частью прошивки ПЛК, и затрагивает 17 моделей контроллеров 750-820X с версией прошивки до 02.07.07 (10).

Источник: ICS-CERT, SEC Consult